Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class CompositeEnumeration

    java.lang.Object
      org.jasig.portal.layout.dlm.CompositeEnumeration

All Implemented Interfaces:
  java.util.Enumeration

    public class CompositeEnumeration

extends java.lang.Object
implements java.util.Enumeration

Since:
  uPortal 2.5
Version:
  $Revision: 1.3 $ $Date: 2005/05/02 03:06:10 $

Field Summary
`private java.util.Enumeration` | `first`
`static java.lang.String` | `RCS_ID`
`private java.util.Enumeration` | `second`

Constructor Summary
`CompositeEnumeration(java.util.Enumeration first, java.util.Enumeration second)` Constructs an enumeration object that enumerates over the elements in the first passed in enumeration object and then enumerates over those in the second passed in enumeration object.

Method Summary
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### first

    private java.util.Enumeration first

### second

    private java.util.Enumeration second

Constructor Detail

### CompositeEnumeration

    CompositeEnumeration(java.util.Enumeration first,
                         java.util.Enumeration second)

  Constructs an enumeration object that enumerates over the elements in the first passed in enumeration object and then enumerates over those in the second passed in enumeration object.

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Throws:
    `java.util.NoSuchElementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD